Skip to main content
`Ctrl`+`K`

# PEPJDSetFix

Sets the threshold for changing the target in the correction equation.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPJDSetFix(PEP pep,PetscReal fix)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- fix - threshold for changing the target

## Options Database Key

- -pep_jd_fix <fix> - the fix value

## Notes

The target in the correction equation is fixed at the first iterations. When the norm of the residual vector is lower than the `fix` value, the target is set to the corresponding eigenvalue.

Detailed information can be found at [Campos and Roman, 2020].

## References

[Cam20a]

C. Campos and J. E. Roman. A polynomial Jacobi-Davidson solver with support for non-monomial bases and deflation. BIT, 60(2):295–318, 2020. doi:10.1007/s10543-019-00778-z.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPJD`, `PEPJDGetFix()`

## Level

advanced

## Location

src/pep/impls/jd/pjd.c

## Implementations

PEPJDSetFix_JD() in src/pep/impls/jd/pjd.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages